#include<iostream>
using namespace std;


int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int N;
	int x = -1000000000;
	int y = -1000000000;

	cin >> N;
	cout << N*3 << endl;
	for (int i = 0; i < N;i++)
	{
		cout << x << ' ' << y<<endl;
		cout << x+1 << ' ' << y << endl;
		cout << x+2 << ' ' << y << endl;
		if (i % 2 == 1)
			x += 6;
		y += 1;
	}

	cout << endl;
	return 0;
}